EDIT - feature request #6709

Do not show UUID on media page
06/08/2017 05:41 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

Example: http://campanula.e-taxonomy.net/cdm_dataportal/media/ac44e4b5-4820-46bc-820e-9e414c6b52e7

media site is only used as fallback -> will open images with direct link

Related issues:

Related to EDIT - feature request #6703: Improve title handling for media in ... Closed
Copied from EDIT - feature request #6624: Campanula related portal issues Duplicate
Copied to EDIT - feature request #8372: media page: show media type in the pa... New
Copied to EDIT - feature request #8373: media page: avoid showing ugly file n... New

Associated revisions

Revision 50d9206b - 06/26/2019 05:28 PM - Andreas Kohlbecker
ref #6709 better fallback strategy for media page titles

Revision 20e02fff - 06/26/2019 05:50 PM - Andreas Kohlbecker
test for media page title ref #6709 and original source display ref #6316

History

#1 - 06/08/2017 05:42 PM - Patrick Plitzner

- Copied from feature request #6624: Campanula related portal issues added

#2 - 06/08/2017 07:59 PM - Andreas Miiller
- Related to feature request #6703: Improve title handling for media in dataportal added

#3 - 01/29/2019 06:13 PM - Andreas Kohlbecker
- Subject changed from Do not show UUID on media site to Do not show UUID on media page

- Status changed from New to Feedback

HI Patrick, is this issue about the UUID being used as replacement for missing title attributes in the media page title and caption?

#4 - 06/26/2019 05:11 PM - Andreas Kohlbecker

hi Patrick, could you please answer on my question?

#5 - 06/26/2019 05:27 PM - Andreas Kohlbecker
- Priority changed from New to Priority14
- Target version changed from Unassigned CDM tickets to COM UML 5.15

#6 - 06/26/2019 05:52 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

done

#7 - 07/01/2019 10:45 AM - Patrick Plitzner
http://campanula.e-taxonomy.net/cdm_dataportal/media/ac44e4b5-4820-46bc-820e-9e414c6b52e7

- Status changed from Resolved to Feedback
- Assignee changed from Patrick Plitzner to Andreas Kohlbecker
Andreas Kohlbecker wrote:

HI Patrick, is this issue about the UUID being used as replacement for missing title attributes in the media page title and caption?

Yes, it was about this "Media ac44e4b5-4820-46bc-820e-9e414c6b52e7" being shown as the title of the page.
Is there any test portal where | can see the change?

#8 - 07/01/2019 02:42 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

e.g.: http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/media/d0bf650c-4cc6-4dfe-bb2f-a289b426af2f
in this case the title for the media is missing, therefore the file name is being used instead set in parentheses.

A further improvement would be to distinguish the different media types an to adapt the title accordingly: Instead of "Media ...", "Image ...", "Video ....",
"Audio... " etc.

#9 - 07/01/2019 02:45 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

- % Done changed from 0 to 100

Andreas Kohlbecker wrote:

in this case the title for the media is missing, therefore the file name is being used instead set in parentheses.

A further improvement would be to distinguish the different media types an to adapt the title accordingly: Instead of "Media ...", "Image ...", "Video
....", "Audio... " etc.

This solution works fine.

#10 - 07/16/2019 02:14 PM - Andreas Miiller
Andreas Kohlbecker wrote:
e.g.: http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/media/d0bf650c-4cc6-4dfe-bb2f-a289b426af2f

in this case the title for the media is missing, therefore the file name is being used instead set in parentheses.

A further improvement would be to distinguish the different media types an to adapt the title accordingly: Instead of "Media ...", "Image ...", "Video
....", "Audio... " etc.

Is this "further improvement" already implemented or does a ticket exist?

#11 - 07/16/2019 02:35 PM - Andreas Miiller
By the way, is there a reason why we show the file name below image? Sometimes it is very ugly like in the above mentioned case
http://campanula.e-taxonomy.net/cdm_dataportal/media/ac44e4b5-4820-46bc-820e-9e414c6b52¢e7 (it is even not created correctly!!)

| think if no title exists the file should not be shown below the image as pseudotitle, but we may show the full URL and have a label "URL" in front as
for "source".

#12 - 07/16/2019 02:39 PM - Andreas Miiller

By the way, why have we removed the possibility to show multiple representations on the media page? It would be nice to reenable it but maybe a bit
nicer then before e.g. by enabling switching between representations. Generally the specific media page should show ALL information about a media
and this contains the different representations. But of course at the same time it should not clutter the page as often users are only interested in the
most important information.

#13 - 07/16/2019 02:41 PM - Andreas Miiller
Connected with the representation is the question which filename to use different representations have different filenames

#14 - 07/16/2019 02:41 PM - Andreas Miiller
- Status changed from Closed to Feedback
- % Done changed from 100 to 90

Feel free to create new tickets from the above questions.

#15 - 07/16/2019 05:30 PM - Andreas Kohlbecker

Andreas Muller wrote:

Andreas Kohlbecker wrote:

e.g.: http:/int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/media/d0bf650c-4cc6-4dfe-bb2f-a289b426af2f
in this case the title for the media is missing, therefore the file name is being used instead set in parentheses.
A further improvement would be to distinguish the different media types an to adapt the title accordingly: Instead of "Media ...", "Image ...",
"Video ....", "Audio... " etc.

Is this "further improvement" already implemented or does a ticket exist?

No there is no such ticket yet. | understand your comment as agreement to my suggestion an will create an new ticket for this ... #8372

#16 - 07/16/2019 05:30 PM - Andreas Kohlbecker
- Copied to feature request #8372: media page: show media type in the page title added

#17 - 07/16/2019 05:35 PM - Andreas Kohlbecker

Andreas Muller wrote:

By the way, is there a reason why we show the file name below image? Sometimes it is very ugly like in the above mentioned case
http://campanula.e-taxonomy.net/cdm_dataportal/media/ac44e4b5-4820-46bc-820e-9e414c6b52e7 (it is even not created correctly!!)

| think if no title exists the file should not be shown below the image as pseudotitle, but we may show the full URL and have a label "URL" in front
as for "source".

new issue for this #8373

#18 - 07/16/2019 05:35 PM - Andreas Kohlbecker

- Copied to feature request #8373: media page: avoid showing ugly file names as title replacement added

#19 - 07/16/2019 05:38 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

And now to your last question:
By the way, why have we removed the possibility to show multiple representations on the media page? It would be nice to reenable it but maybe
a bit nicer then before e.g. by enabling switching between representations. Generally the specific media page should show ALL information

about a media and this contains the different representations. But of course at the same time it should not clutter the page as often users are
only interested in the most important information.

The display of multiple representations has been made optional, see #6818 for more details on this.

#20 - 07/23/2019 01:36 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to Release 5.8
